import { UiComponentCommandHandler, UiComponentConfig } from "../generated/UiComponentConfig";
import { TeamAppsEvent } from "./util/TeamAppsEvent";
export interface UiComponent<C extends UiComponentConfig = UiComponentConfig> extends UiComponentCommandHandler {
    readonly onVisibilityChanged: TeamAppsEvent<boolean>;
    isVisible(): boolean;
    /**
     * @return The main DOM element of this component.
     */
    getMainElement(): HTMLElement;
    destroy(): void;
}
